# Uses of Class
java.security.MessageDigest

Packages that use MessageDigest
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of MessageDigest in java.security

Fields in java.security declared as MessageDigest
Modifier and Type
Field
Description
`protected MessageDigest`
DigestInputStream.`digest`
The message digest associated with this stream.
`protected MessageDigest`
DigestOutputStream.`digest`
The message digest associated with this stream.
Methods in java.security that return MessageDigest
Modifier and Type
Method
Description
`static MessageDigest`
MessageDigest.`getInstance(String algorithm)`
Returns a MessageDigest object that implements the specified digest algorithm.
`static MessageDigest`
MessageDigest.`getInstance(String algorithm, String provider)`
Returns a MessageDigest object that implements the specified digest algorithm.
`static MessageDigest`
MessageDigest.`getInstance(String algorithm, Provider provider)`
Returns a MessageDigest object that implements the specified digest algorithm.
`MessageDigest`
DigestInputStream.`getMessageDigest()`
Returns the message digest associated with this stream.
`MessageDigest`
DigestOutputStream.`getMessageDigest()`
Returns the message digest associated with this stream.
Methods in java.security with parameters of type MessageDigest
Modifier and Type
Method
Description
`void`
DigestInputStream.`setMessageDigest(MessageDigest digest)`
Associates the specified message digest with this stream.
`void`
DigestOutputStream.`setMessageDigest(MessageDigest digest)`
Associates the specified message digest with this stream.
Constructors in java.security with parameters of type MessageDigest
Modifier
Constructor
Description
``
`DigestInputStream(InputStream stream, MessageDigest digest)`
Creates a digest input stream, using the specified input stream and message digest.
``
`DigestOutputStream(OutputStream stream, MessageDigest digest)`
Creates a digest output stream, using the specified output stream and message digest.